Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#4754 closed defect (fixed)

gbox-sms module error

Reported by: Giovanni Rito Owned by:
Priority: trivial Component: General
Severity: low Keywords:
Cc: Sensitive: no

Description

I've always compiled oscam for my pi zero w raspberry armv6, and the latest versions from 11540 to 11544 always generate an error on the "gbox-sms module error" module of what can be solved? I attach full error log

"In function ‘poll_gsms_data’,

inlined from ‘gbox_init_send_gsms’ at /home/pi/Condivisione/Oscam/oscam-svn/module-gbox-sms.c:355:16:

/home/pi/Condivisione/Oscam/oscam-svn/module-gbox-sms.c:63:2: warning: ‘strncpy’ output may be truncated copying between 6 and 127 bytes from a string of length 139 [-Wstringop-truncation]

strncpy(text, &(buffer[7]), length - 7);

/home/pi/Condivisione/Oscam/oscam-svn/module-gbox-sms.c:63:2: warning: ‘strncpy’ output may be truncated copying between 6 and 127 bytes from a string of length 139 [-Wstringop-truncation]
"

Attachments (1)

Immagine.png (39.1 KB ) - added by Giovanni Rito 2 years ago.

Download all attachments as: .zip

Change History (4)

by Giovanni Rito, 2 years ago

Attachment: Immagine.png added

comment:1 by nautilus7, 2 years ago

Component: ! Please select...General
Priority: Please fill intrivial
Severity: Please fill inlow

There is not something to worry about, nor something that has been caused by recent changes.

Maybe you updated your compiler, so it catches more warnings now. Thus your get it now.

Anyway, thanks for reporting. Will try to fix it.

comment:2 by nautilus7, 2 years ago

Resolution: fixed
Status: newclosed

Should be fixed with 11545. Feel free to re-open if it doesn't work.

comment:3 by Giovanni Rito, 2 years ago

first of all thank you for the fix on version 11545/11546. the age difference that went from raspbian Stretch (Debian 9) to raspbian buster (Debian 10). all ok thanks a lot use oscam with tvheadend

Note: See TracTickets for help on using tickets.